결제 등록
curl --request POST \
--url https://sdk-api.playcamp.io/v1/server/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"transactionId": "<string>",
"productId": "<string>",
"amount": 1.01,
"currency": "<string>",
"purchasedAt": "2023-11-07T05:31:56Z",
"productName": "<string>",
"callbackId": "<string>",
"isTest": false
}
'import requests
url = "https://sdk-api.playcamp.io/v1/server/payments"
payload = {
"userId": "<string>",
"transactionId": "<string>",
"productId": "<string>",
"amount": 1.01,
"currency": "<string>",
"purchasedAt": "2023-11-07T05:31:56Z",
"productName": "<string>",
"callbackId": "<string>",
"isTest": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
transactionId: '<string>',
productId: '<string>',
amount: 1.01,
currency: '<string>',
purchasedAt: '2023-11-07T05:31:56Z',
productName: '<string>',
callbackId: '<string>',
isTest: false
})
};
fetch('https://sdk-api.playcamp.io/v1/server/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"transactionId": "<string>",
"userId": "<string>",
"productId": "<string>",
"productName": "<string>",
"amount": 123,
"currency": "<string>",
"amountUsd": 123,
"campaignId": "<string>",
"creatorKey": "<string>",
"purchasedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"status": 400,
"error": "Bad Request",
"message": "Validation failed",
"code": "VALIDATION_ERROR",
"details": [
{
"path": "userId",
"message": "Required"
},
{
"path": "amount",
"message": "Expected number, received string"
}
]
}{
"status": 401,
"error": "Unauthorized",
"message": "Invalid API key",
"code": "UNAUTHORIZED"
}{
"status": 409,
"error": "Conflict",
"message": "Payment already exists: txn-12345",
"code": "CONFLICT"
}Payment
결제 등록
결제 내역을 등록합니다.
자동 귀속:
campaignId미지정 시 프로젝트의 활성 캠페인으로 자동 귀속
환율 변환:
currency가 USD가 아닌 경우 자동으로 USD 금액이 계산됩니다 (amountUsd)
POST
/
v1
/
server
/
payments
결제 등록
인증
Server API Key (format: {keyId}:{secret})
본문
application/json
유저 ID
고유 거래 ID (플랫폼 제공)
상품 ID
결제 금액
필수 범위:
x >= 0.01통화 코드 (ISO 4217, 필수)
- USD, KRW 권장
- 예: USD, KRW, JPY, EUR
Pattern:
^[A-Z]{3}$결제 플랫폼
사용 가능한 옵션:
iOS, Android, Web, Roblox, Other 유통 타입 (필수, 스토어 수수료 결정):
MOBILE_STORE: 모바일 외부 스토어 (Google Play, App Store) - 30%PC_STORE: PC 외부 스토어 (Steam 등) - 30%MOBILE_SELF_STORE: 모바일 자체 결제 - 0%PC_SELF_STORE: PC 자체 스토어 - 0%
사용 가능한 옵션:
MOBILE_STORE, MOBILE_SELF_STORE, PC_STORE, PC_SELF_STORE 실제 결제 발생 시각 (ISO 8601 UTC 형식)
- 형식:
YYYY-MM-DDTHH:mm:ss.sssZ - 예시:
2024-01-15T10:30:00.000Z
상품 이름 (선택)
웹훅 추적용 ID (이 요청으로 발생하는 웹훅 이벤트에 포함됨)
테스트 모드 (실제 데이터 생성 안 함)
응답
성공
Show child attributes
Show child attributes
⌘I